<?php
/**
 * CryptoPhoto extension
 * 
 * @file
 * @ingroup Extensions
 * 
 * @author  Cryptophoto
 * @license GPL v2 or later
 * @version 2.20150923
 */

// CryptoPhoto configuration
$wgCryptoPhotoConfig = array(
    'publickey'        => '',
 	'privatekey'       => '',
 	'salt'             => '',
 	'server'           => 'https://cryptophoto.com',
 	'mandatory_groups' => array(),
    'groups'           => array(),
 	'setup_complete'   => 0
);

// CryptoPhoto autentication redirect
$wgRedirectOnLogin = 'Special:CryptoPhotoAuth';

// load CryptoPhoto extension
if (function_exists( 'wfLoadExtension')) {
    // new way to load extensions
    wfLoadExtension('CryptoPhoto');
    // Keep i18n globals so mergeMessageFileList.php doesn't break
    $wgMessagesDirs['CryptoPhoto'] = __DIR__ . '/i18n';
    $wgExtensionMessagesFiles['CryptoPhotoAlias'] = __DIR__ . '/CryptoPhoto.alias.php';
} else {
    // !! deprecated way to load extensions, we keep it here for compatibility !!

    // Add credit :)
    $wgExtensionCredits['other'][] = array(
        'path'           => __FILE__,
        'name'           => 'CryptoPhoto',
        'author'         => 'CryptoPhoto',
        'url'            => 'http://www.cryptophoto.com',
        'version'        => '2015-09-23',
        'descriptionmsg' => 'cryptophoto-desc',
    );

    // Classes
    $wgAutoloadClasses['CryptoPhoto']      = dirname( __FILE__ ) . '/CryptoPhoto.body.php';
    $wgAutoloadClasses['CryptoPhotoUtils'] = dirname( __FILE__ ) . '/include/CryptoPhotoUtils.php';
    $wgAutoloadClasses['SpecialCryptoPhotoAuth'] = dirname( __FILE__ ) . '/SpecialCryptoPhotoAuth.php';
    $wgAutoloadClasses['SpecialCryptoPhotoSettings'] = dirname( __FILE__ ) . '/SpecialCryptoPhotoSettings.php';
    $wgAutoloadClasses['CryptoPhotoDatabaseSupport'] = dirname( __FILE__ ) . '/CryptoPhotoDatabaseSupport.php';
    $wgAutoloadClasses['SpecialCryptoPhotoUsers'] = dirname( __FILE__ ) . '/SpecialCryptoPhotoUsers.php';

    // Add messages files
    $wgExtensionMessagesFiles['CryptoPhoto'] = dirname( __FILE__ ) . '/CryptoPhoto.i18n.php';

    // Hook for Special:Preferences
    $wgHooks['GetPreferences'][] = 'CryptoPhoto::GetPreferences';

    // Hook to add sidebar CryptoPhoto settings link
    $wgHooks['SkinBuildSidebar'][] = 'CryptoPhoto::AddSidebarLink';

    // Special pages registration
    $wgSpecialPages['CryptoPhotoAuth'] = 'SpecialCryptoPhotoAuth';
    $wgSpecialPages['CryptoPhotoSettings'] = 'SpecialCryptoPhotoSettings';
    $wgSpecialPages['CryptoPhotoUsers'] = 'SpecialCryptoPhotoUsers';
}

?>
